PackedInts.FormatAndBits (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.packed, class: PackedInts, record: FormatAndBits

Package org.apache.lucene.util.packed

# Record Class PackedInts.FormatAndBits

java.lang.Object
java.lang.Record
org.apache.lucene.util.packed.PackedInts.FormatAndBits

Enclosing class:
  `PackedInts`

public static record PackedInts.FormatAndBits(PackedInts.Format format, int bitsPerValue) extends Record
Simple class that holds a format and a number of bits per value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormatAndBits(PackedInts.Format format, int bitsPerValue)`
  Creates an instance of a `FormatAndBits` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `bitsPerValue()`
  Returns the value of the `bitsPerValue` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `PackedInts.Format`
  `format()`
  Returns the value of the `format` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormatAndBits

    public FormatAndBits(PackedInts.Format format, int bitsPerValue)
    Creates an instance of a `FormatAndBits` record class.
    Parameters:
      `format` - the value for the `format` record component
      `bitsPerValue` - the value for the `bitsPerValue` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### format

    public PackedInts.Format format()
    Returns the value of the `format` record component.
    Returns:
      the value of the `format` record component

  - ### bitsPerValue

    public int bitsPerValue()
    Returns the value of the `bitsPerValue` record component.
    Returns:
      the value of the `bitsPerValue` record component